Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.essbase.api.datasource
Interface IEssSubstitutionVariables

All Superinterfaces:
  IEssBaseObject

All Known Subinterfaces:
  IEssCube, IEssOlapApplication, IEssOlapServer

public interface IEssSubstitutionVariables
extends IEssBaseObject

The IEssSubstitutionVariables interface.

Method Summary
`void` | `createSubstitutionVariable(java.lang.String varName, java.lang.String varValue)` Creates a new substitution variable or modifies an existing substitution variable (if the variable name already exists) in this application.
`void` | `deleteSubstitutionVariable(java.lang.String varName)` Delete an existing substitution variable in this application.
`java.lang.String[][]` | `getSubstitutionVariables()` Gets the substitution variables in this application.
`java.lang.String` | `getSubstitutionVariableValue(java.lang.String varName)` Gets the value of a substitution variablein this application.

Method Detail

### createSubstitutionVariable

    public void createSubstitutionVariable(java.lang.String varName,
                                           java.lang.String varValue)
                                    throws EssException

  Creates a new substitution variable or modifies an existing substitution variable (if the variable name already exists) in this application.

  Parameters:
    `varName` - The variable name.
    `varValue` - The variable value.
  Throws:
    `EssException` - if an error occurs.

### deleteSubstitutionVariable

    public void deleteSubstitutionVariable(java.lang.String varName)
                                    throws EssException

  Delete an existing substitution variable in this application.

  Parameters:
    `varName` - The variable name.
  Throws:
    `EssException` - if an error occurs.

### getSubstitutionVariableValue

    public java.lang.String getSubstitutionVariableValue(java.lang.String varName)
                                                  throws EssException

  Gets the value of a substitution variablein this application.

  Parameters:
    `varName` - The variable name.
  Returns:
    The variable value.
  Throws:
    `EssException` - if an error occurs.

### getSubstitutionVariables

    public java.lang.String[][] getSubstitutionVariables()
                                                  throws EssException

  Gets the substitution variables in this application.

  Returns:
    The substitution variables. Each row contains name, value, application name, cube name, analytic server name (for e.g: [0][0] - variable name, [0][1] - value, [0][2] - application name, [0][3] - cube name, [0][4] - analytic server name).
  Throws:
    `EssException` - if an error occurs.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD